Bug 467462 - haldaemon restart makes server exit
haldaemon restart makes server exit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 11:28 EDT by Bastien Nocera
Modified: 2009-02-08 12:37 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.5.2-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 00:02:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log.old (768.67 KB, text/plain)
2008-10-17 11:28 EDT, Bastien Nocera
no flags Details

  None (edit)
Description Bastien Nocera 2008-10-17 11:28:56 EDT
Created attachment 320683 [details]
Xorg.0.log.old

Trying to test an HAL fdi file, I did:
service haldaemon restart

And my X server went away. My Xorg log has the lines:
Fatal server error:
Too many input devices

xorg-x11-server-Xorg-1.5.2-5.fc10.i386
xorg-x11-drv-evdev-2.0.7-1.fc10.i386
Comment 1 Peter Hutterer 2008-10-20 00:02:57 EDT
Fixed with xorg-x11-server-1.5.2-7.
http://koji.fedoraproject.org/koji/buildinfo?buildID=66807

On HAL restart, the device list is sent to X. These devices were unconditionally added, leading first to duplicate devices & events, then to the fatal error once it would hit the built-in device limit.

The server checks the device's UDI now before re-adding, and does not re-add them if the UDI is already present.
Comment 2 Leonidas Georgopoulos 2009-02-08 12:37:09 EST
rpm -qa|grep xorg

xorg-x11-drv-nv-2.1.12-6.fc10.i386
xorg-x11-font-utils-7.2-6.fc10.i386
xorg-x11-xdm-1.1.6-6.fc10.i386
xorg-x11-server-Xorg-1.5.3-6.fc10.i386
xorg-x11-drv-keyboard-1.3.2-1.fc10.i386
xorg-x11-xinit-1.0.9-4.fc10.i386
xorg-x11-fonts-ISO8859-1-100dpi-7.2-6.fc9.noarch
xorg-x11-fonts-100dpi-7.2-6.fc9.noarch
xorg-x11-server-common-1.5.3-6.fc10.i386
xorg-x11-server-utils-7.4-3.fc10.i386
xorg-x11-xauth-1.0.2-5.fc10.i386
xorg-x11-utils-7.4-3.fc10.i386
xorg-x11-proto-devel-7.4-5.fc10.noarch
xorg-x11-fonts-misc-7.2-6.fc9.noarch
xorg-x11-fonts-truetype-7.2-3.fc8.noarch
xorg-x11-apps-7.3-5.fc10.i386
xorg-x11-fonts-Type1-7.2-6.fc9.noarch
xorg-x11-util-macros-1.1.6-2.fc10.i386
xorg-x11-drv-vesa-2.0.0-1.fc10.i386
xorg-x11-xfs-1.0.5-3.fc10.i386
xorg-x11-drv-synaptics-0.15.2-2.fc10.i386
xorg-x11-drv-mouse-1.3.0-2.fc9.i386
xorg-x11-filesystem-7.3-2.fc10.noarch
xorg-x11-twm-1.0.3-3.fc10.i386
xorg-x11-server-Xnest-1.5.3-6.fc10.i386
xorg-x11-drv-evdev-2.1.1-1.fc10.i386
xorg-x11-xtrans-devel-1.2.1-2.fc10.i386
xorg-x11-drv-void-1.1.1-9.fc9.i386
xorg-x11-fonts-ISO8859-15-100dpi-7.2-6.fc9.noarch
xorg-x11-docs-1.3-3.fc10.noarch
xorg-x11-xkb-utils-7.2-7.fc10.i386



I also have the same problem after
/etc/init.d/haldaemon restart
X server goes away

Note You need to log in before you can comment on or make changes to this bug.